Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the request query based on the data collection that you specified.
The following example shows the response of an API call to retrieve the terms of use of a data collection:
{ "processingTime": 279, "offset": 0, "limit": 1, "totalCount": 1, "objects": [ { "id": "7bb0bcc1-23a9-4ffc-9f39-50c7b4df91b0", "refId": "TOU-434", "name": "Retail only", "description": "This data is only for retail employees.", "type": "CONTROLLED", "status": "DISABLED", "acknowledgement": true, "referenceLink": null, "createdBy": "5tSQ0vG66z9jS0KBQkY84r", "createdOn": "2022-05-17T10:05:21.453Z", "modifiedBy": "5tSQ0vG66z9jS0KBQkY84r", "modifiedOn": "2022-05-17T10:06:57.433Z" } ] }
The following table describes the parameters of each terms of use that is retrieved:
Parameter
Description
id
The system generated unique identifier of the terms of use.
refId
The reference identifier of the terms of use.
name
Name of the terms of use.
description
Description of the terms of use.
type
The type of the terms of use. It can be one of the following values:
  • ACCESSIBLE
  • CONTROLLED
  • RESTRICTED
status
The status of the terms of use. It can be one of the following values:
  • If the status is
    ENABLED
    , the terms of use is available to Data Owners.
  • If the status is
    DISABLED
    , the terms of use isn't available to Data Owners.
acknowledgement
This parameter determines whether Data Users are required to acknowledge the terms of use when they place an order. It can be one of the following values:
  • If the value is
    true
    , Data Users must acknowledge the terms of use when they place an order.
  • If the value is
    false
    , Data Users don't need to acknowledge the terms of use when they place an order.
referenceLink
The URI of the new terms of use.
createdBy
The system generated unique identifier of the user account that created the terms of use.
createdOn
The date when the terms of use was created.
modifiedBy
The system generated unique identifier of the latest user account that modified the terms of use.
modifiedOn
The latest date when the terms of use was modified.

0 COMMENTS

We’d like to hear from you!